Not a member yet? Why not Sign up today
Create an account  

  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
 
Xserver/GDM not starting [solved]

#1
4.14.9-xanmod13 broken?
4.14.8-xanmod12 works.

Broken System is in a loop trying to start XServer with Login Manager probably GDM, continuously failing switching back to Console and retrying.
Reply

#2
Can you provide me more details of video drivers and xserver and gdm versions?
Test this build with the traditional unwinder frame pointer (<= 4.14.8):

https://deb.xanmod.org/experimental/4.14...mepointer/

install the two deb packages
Reply

#3
For 4.14.9-xanmod13 revision 1.171225, I don't know if your issue is related, however something seems wrong with:

"Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"." 

Confirmed solution:
Code:
$ sudo apt-get install libelf-dev

https://forum.xanmod.org/thread-196-post...ml#pid2682
"(...) the grandest occasion the past or present has seen, or the future can hope to see." -- Cervantes.
Reply

#4
Solution confirmed.
Reply

#5
Thanks tropic!

I have already added libelf-dev dependency on linux-xanmod-4.14 and will report to the mainline deb team.
Reply

#6
(26-12-2017, 10:45 PM)Alexandre Frade Wrote: Thanks tropic!
I have already added libelf-dev dependency on linux-xanmod-4.14 and will report to the mainline deb team.

Always glad to provide help to this amazing project! 
Thanks Alexander for your always great work ! Smile
"(...) the grandest occasion the past or present has seen, or the future can hope to see." -- Cervantes.
Reply

#7
Not sure if same issue, already had libeff-dev installed. Had to go back to 12 for nvidia to work.
Reply

#8
(28-12-2017, 07:20 PM)BastardSysop Wrote: Not sure if same issue, already had libeff-dev installed.   Had to go back to 12 for nvidia to work.

Probably CONFIG_UNWINDER_ORC=y mainline have some issues also with Nvidia drivers?  Confused
Please read this link related with Nvidia and unwinder_orc: https://lkml.org/lkml/2017/12/24/44

Edit: have you try to install 4.14.9 from mainline site, (Ubuntu-4.14.0-11.13)?
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.9/
"(...) the grandest occasion the past or present has seen, or the future can hope to see." -- Cervantes.
Reply

#9
(26-12-2017, 08:07 PM)tropic Wrote: For 4.14.9-xanmod13 revision 1.171225, I don't know if your issue is related, however something seems wrong with:

"Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"." 

Confirmed solution:
Code:
$ sudo apt-get install libelf-dev

https://forum.xanmod.org/thread-196-post...ml#pid2682


Above solution can be also applied to XanMod 4.17.x with Ubuntu 18.04 (yes, ubuntu's unsolved bug from distro 16.04 to distro 18-04 as always); however it needs three more packages to get solved rightly. This solution also fixes module installation of VirtualBox Guest Additions (GAs). If you have noticed the same problem, please type next command:

Code:
$ sudo apt-get install libelf-dev gcc make perl
"(...) the grandest occasion the past or present has seen, or the future can hope to see." -- Cervantes.
Reply



[-]
Quick Reply
Message
Type your reply to this message here.

Image Verification
Please enter the text contained within the image into the text box below it. This process is used to prevent automated spam bots.
Image Verification
(case insensitive)

Forum Jump:


Users browsing this thread:
1 Guest(s)